<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android" android:id="@+id/content" android:layout_width="match_parent" android:layout_height="match_parent">
    <RelativeLayout android:gravity="center_horizontal" android:orientation="vertical" android:layout_width="match_parent" android:layout_height="wrap_content">
        <Button android:textColor="@color/aaa_blue_text_over_white_button" android:id="@+id/cancel" android:background="@color/White" android:paddingLeft="@dimen/aaa_unit_half" android:paddingRight="@dimen/aaa_unit_half" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="@dimen/aaa_unit_one" android:layout_marginRight="@dimen/aaa_unit_one" android:layout_marginBottom="@dimen/aaa_unit_half" android:text="@string/cancel" android:layout_alignParentRight="true"/>
        <EditText android:textColorHint="@color/aaa_blue_hint_over_white_edittext" android:id="@+id/username" android:background="@drawable/login_frame_username" android:paddingLeft="@dimen/aaa_textfield_padding_left" android:layout_width="match_parent" android:layout_height="@dimen/aaa_textfield_height" android:layout_marginLeft="@dimen/aaa_unit_one" android:layout_marginRight="@dimen/aaa_unit_one" android:layout_marginBottom="@dimen/aaa_unit_mini" android:hint="@string/prompt_username" android:maxLines="1" android:singleLine="true" android:layout_below="@+id/cancel" android:layout_alignParentLeft="true" android:inputType="textEmailAddress">
            <requestFocus android:layout_width="match_parent"/>
        </EditText>
        <EditText android:textColorHint="@color/aaa_blue_hint_over_white_edittext" android:id="@+id/password" android:background="@drawable/login_frame_password" android:paddingLeft="@dimen/aaa_textfield_padding_left" android:layout_width="match_parent" android:layout_height="@dimen/aaa_textfield_height" android:layout_marginLeft="@dimen/aaa_unit_one" android:layout_marginRight="@dimen/aaa_unit_one" android:layout_marginBottom="@dimen/aaa_unit_mini" android:hint="@string/prompt_password" android:maxLines="1" android:singleLine="true" android:layout_below="@+id/username" android:layout_alignParentLeft="true" android:inputType="textPassword" android:imeOptions="actionUnspecified" android:imeActionId="@+id/login"/>
        <EditText android:textColorHint="@color/aaa_blue_hint_over_white_edittext" android:id="@+id/password_re" android:background="@drawable/login_frame_password" android:paddingLeft="@dimen/aaa_textfield_padding_left" android:layout_width="match_parent" android:layout_height="@dimen/aaa_textfield_height" android:layout_marginLeft="@dimen/aaa_unit_one" android:layout_marginRight="@dimen/aaa_unit_one" android:layout_marginBottom="@dimen/aaa_unit_mini" android:hint="@string/prompt_password" android:maxLines="1" android:singleLine="true" android:layout_below="@+id/password" android:layout_alignParentLeft="true" android:inputType="textPassword" android:imeOptions="actionUnspecified" android:imeActionId="@+id/login"/>
        <requestFocus android:layout_width="match_parent"/>
        <Button android:textColor="@color/aaa_blue_text_over_white_button" android:id="@+id/register" android:background="@color/White" android:paddingLeft="@dimen/aaa_unit_half" android:paddingRight="@dimen/aaa_unit_half" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/register" android:layout_below="@+id/password_re" android:layout_centerHorizontal="true"/>
    </RelativeLayout>
</ScrollView>
